Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596244 - Left nav items that have Events tabs do not have a corresponding events icon in hint.
Summary: Left nav items that have Events tabs do not have a corresponding events icon ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 1.4
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-05-26 12:51 UTC by Corey Welton
Modified: 2010-08-12 16:47 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:47:47 UTC


Attachments (Terms of Use)

Description Corey Welton 2010-05-26 12:51:17 UTC
Description of problem:
Rt-clicking an item in the left nav that has an Events tab does not have a corresponding icon in the hint.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Login to a JON instance that is reasonably populated.
2. Navigate to the 'CPU' instance for a platform.  Note the existence of "Monitor" and "Events" tabs.
3. Rt-click the "CPU" left nav item
4. View results.
  
Actual results:
Icon for "Monitor" but not "Events"

Expected results:
All applicable icons for corresponding tabs that a resource can access.

Additional info:

Comment 1 Corey Welton 2010-05-26 12:54:07 UTC
Upon further investigation, this doesn't appear to be the case for all resources.

It is missing on CPU, and I saw it missing somewhere else too.  However, it does exist for, say, "JbossAS Servers", etc.

Comment 2 Charles Crouch 2010-05-26 15:10:29 UTC
Lowering priority

Comment 3 Joseph Marques 2010-07-18 06:02:50 UTC
I believe Heiko implemented this a few weeks ago when he added the events icon to the MICA column for the resource/group browser.

Comment 4 Corey Welton 2010-07-19 12:18:54 UTC
QA Verified.  This seems to be ok...

Comment 5 Corey Welton 2010-08-12 16:47:47 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.